NSX-T Data Center REST API

Create or update distributed vxlan connection

If a distributed vxlan connection is not already present, create a new distributed vxlan connection.
If it already exists, update the distributed vxlan connection. This operation will fully replace the object.

Request:

Method:
PUT
URI Path(s):
/policy/api/v1/infra/distributed-vxlan-connections/{distributed-vxlan-connection-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
DistributedVxlanConnection+

Example Request:

PUT https://<policy-mgr>/policy/api/v1/infra/distributed-vxlan-connections/dvc-1 { "route_controller_path": "/infra/route-controllers/RC-1", "l3_vni": 75002, "route_distinguisher": "40.40.40.101:421", "route_targets": [ { "address_family": "L2VPN_EVPN", "import_route_targets": [ "521:1" ], "export_route_targets": [ "421:1" ] } ], "connectivity_type": "L3_EVPN" }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
DistributedVxlanConnection+

Example Response:

{ "route_controller_path": "/infra/route-controllers/RC-1", "l3_vni": 75002, "route_distinguisher": "40.40.40.101:421", "route_targets": [ { "address_family": "L2VPN_EVPN", "import_route_targets": [ "521:1" ], "export_route_targets": [ "421:1" ] } ], "connectivity_type": "L3_EVPN", "resource_type": "DistributedVxlanConnection", "id": "dvc-1", "display_name": "dvc-1", "path": "/infra/distributed-vxlan-connections/dvc-1", "relative_path": "dvc-1", "parent_path": "/infra", "remote_path": "", "unique_id": "e40c3376-4d4e-47b7-b7f2-c9884346ad29", "realization_id": "e40c3376-4d4e-47b7-b7f2-c9884346ad29", "owner_id": "354641e0-27ca-477d-a200-fc150eeac6f0", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1762554934395, "_create_user": "admin", "_last_modified_time": 1762554934395, "_last_modified_user": "admin", "_revision": 0 }

Required Permissions:

crud

Feature:

policy_transit_gateway_connection

Additional Errors: